QGIS Application - Bug report #21705
Export selected Objects generated line layer not selectable in graphical modeller
2019-03-29 05:32 PM - Wolfgang Meinolf

Status: Open

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:3.6.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29521
Description

Background:

(1) Script selects point objects, which then shall be exported to new layer for further use in v.net.
(2) Script also selects line objects in 2 stages. Selected objects shall also be exported to new layer for further use in v.net.

Both generated layers are presented in v.net as point layers, so ist's not possible to insert v.net in script.

Manual Test in QGIS w/o script works fine, generated line and point layers be selected in v.net without problem.

Screenshots of selection pull down menus attached

History

#1 - 2019-03-29 05:41 PM - Giovanni Manghi
- Status changed from Open to Feedback
- Category changed from Unknown to Processing/Modeller

Could you please attach the script/model and sample data to allow us replicate? thanks!

#2 - 2019-03-29 07:02 PM - Wolfgang Meinolf

- File Debug.zip added

find requested data in attached ZIP.

To replicate just open ggz, open toolbox and import script/model, in case it's not in file. Start edit model and add v.net. you find "selected line export" under
point layer pull down. I'd expected this unser arc layer pull down.

Let me know, if you need anything else.

#3 - 2019-03-29 07:03 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2019-05-21 09:46 AM - Victor Olaya
- Assignee set to Victor Olaya

Files
190329 QGIS Wrong Type Export selected 1.jpg 114 KB 2019-03-29 Wolfgang Meinolf
190329 QGIS Wrong Type Export selected.jpg 108 KB 2019-03-29 Wolfgang Meinolf
Debug.zip 1.93 MB 2019-03-29 Wolfgang Meinolf
